Skip to main content
PATCH
/
tiro
/
notes
/
{note_id}
Update a note
curl --request PATCH \
  --url https://{deployment}/api/v1/tiro/notes/{note_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "title": "Renamed",
  "add_thread_ids": [
    34
  ]
}
'
{
  "success": true,
  "note_id": 123,
  "note_guid": "<string>",
  "title": "<string>",
  "note_url": "<string>",
  "message": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Your deployment's API key (MMK_API_KEY).

Path Parameters

note_id
integer
required

Numeric Tiro note ID (not the note GUID — the handler parses it as an integer).

Body

application/json
title
string
context
string
transcribe_locale
string
translate_locale
string
summary_locale
string
add_thread_ids
integer[]

Thread (folder) IDs to add the note to.

enable_audio_replay
boolean
enable_realtime_translation
boolean
enable_enhanced_transcription
boolean

Response

Updated note

success
boolean
note_id
integer
note_guid
string
title
string
note_url
string
message
string